/*
Copyright 2012 Jun Wako <wakojun@gmail.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef CONFIG_H
#define CONFIG_H

#include "config_common.h"

/* USB Device descriptor parameter */
#define VENDOR_ID       0xFEED
#define PRODUCT_ID      0x0007
#define DEVICE_VER      0x0001
#define MANUFACTURER    Inf3 Industries
#define PRODUCT         ValKey
#define DESCRIPTION     ValKey TKL

/* key matrix size */
#define MATRIX_ROWS 6
#define MATRIX_COLS 16

/* PCB default pin-out */

//                        0   1   2   3   4   5
#define MATRIX_ROW_PINS { D4, D7, D5, D1, D6, C6 }
//                        0   1   2   3   4   5   6   7   8   9   10  11  12  13  14  15
#define MATRIX_COL_PINS { F5, B0, B1, B2, B3, F4, F1, F0, D0, F6, F7, E6, D3, C7, B5, B6 }

#define UNUSED_PINS

/* ws2812 RGB LED */
#define RGB_DI_PIN D2
#define RGBLED_NUM 6
#define RGBLIGHT_LIMIT_VAL 128
#define RGBLIGHT_ANIMATIONS

/* COL2ROW or ROW2COL */
#define DIODE_DIRECTION COL2ROW

/* number of backlight levels */
#define BACKLIGHT_PIN B7
#ifdef BACKLIGHT_PIN
#define BACKLIGHT_LEVELS 6
#define BACKLIGHT_BREATHING
#endif

#endif
